EDIT - feature request #9647

After deduplication the remaining record should get the focus in bulk editor
06/03/2021 01:00 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.25

Severity: normal

Description

this is helpful when working on longer lists because after save the list jumps to the beginning otherwise

Associated revisions

Revision 5924653e - 06/09/2021 11:14 AM - Katja Luther
fix #9647: set focus to deduplication target

History

#1 - 06/09/2021 11:13 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|5924653e4dd6d9ae695675b7ee5a6f98856a9199.

#2 - 06/09/2021 11:17 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

This should be fixed, please review.

#3 - 06/25/2021 06:55 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

This generally works as expected but in 20-30% of the cases after setting the focus it got lost immediately again though | did not press anything else

after using the deduplication menu item.
Also the details view gets empty then so it looks like | clicked elsewhere.

Can you reproduce this and maybe fix it?

(maybe it is only my mouse which behaves strange sometimes, but something like this | did not recognize yet but here it happens quite often)

#4 - 06/28/2021 04:20 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

Andreas Muller wrote:

This generally works as expected but in 20-30% of the cases after setting the focus it got lost immediately again though | did not press anything

else after using the deduplication menu item.
Also the details view gets empty then so it looks like | clicked elsewhere.

Can you reproduce this and maybe fix it?

(maybe it is only my mouse which behaves strange sometimes, but something like this | did not recognize yet but here it happens quite often)

| tried several times, but never got this behaviour. Maybe we open a new ticket for the case it happens again for other users or for you with another

mouse?
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/5924653e4dd6d9ae695675b7ee5a6f98856a9199

#5 - 06/29/2021 06:59 PM - Andreas Miiller
- Status changed from Feedback to Closed

- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100

| also could not reproduce this anymore. So | think we can close this ticket and watch the deduplication in production.
